group = 'datasource_programs'
register_rule(
    group,
    "special_agents:srm",
    Dictionary(
        optional_keys = [ "cert" ],
        elements = [
            ("cert", DropdownChoice(
                            title = _("SSL certificate verification"),
                            choices = [
                                (True, _("Activate")),
                                (False, _("Deactivate")),
                            ] )),
        ],
    ),
    title = _("Check VMWare SRM"),
    help = _("This rule set selects the special agent for VMWare SRM "
             "instead of the normal Check_MK agent and allows monitoring via Web API. "
             "Connection is made on NSX appliance on port 9086."),
    match = "first",
)

